Please merge curl 7.21.0-1(main) from debian unstable(main)

Bug #596334 reported by Bhavani Shankar on 2010-06-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
curl (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: curl

Debian changes

 curl (7.21.0-1) unstable; urgency=low

   * New upstream.

 -- Ramakrishnan Muthukrishnan <email address hidden> Wed, 16 Jun 2010 19:25:37 +0530
curl (7.20.1-2) unstable; urgency=low

   * debian/rules: Removed the custom LDFLAGS variable. This is not
     required as we are no longer using the libtool patch.
     (closes: #578774)

 -- Ramakrishnan Muthukrishnan <email address hidden> Wed, 28 Apr 2010 18:40:27 +0530
curl (7.20.1-1) unstable; urgency=low

   * New upstream release.
   * debian/patches/missing-double-quote: No longer needed as it has been
     fixed by the upstream.
   * debian/patches/no_com_err: Reworked the patches for the new release.
   * debian/patches/versioned: fix for build failure of 'make test'.
     (closes: #576237)
   * debian/rules: removed --enable-ldaps option from the configure as LDAP
     SSL (Novell extensions to openldap) is not available as Debian packages.
   * lib/http.c: chunked-encoding with Content-Length header problem has
     been fixed in the upstream. (closes: #572276)

 -- Ramakrishnan Muthukrishnan <email address hidden> Mon, 19 Apr 2010 09:21:35 +0530
curl (7.20.0-3) unstable; urgency=low

   * debian/control: Vcs* tags added.
   * docs/libcurl/libcurl.m4: added the missing double quote (closes: #576518).

 -- Ramakrishnan Muthukrishnan <email address hidden> Mon, 05 Apr 2010 18:56:40 +0530
curl (7.20.0-2) unstable; urgency=low

   * New Maintainer (closes: #574137).
   * Bug #533669 (curl segmentation fault in addbyter()) is fixed
     from release 7.19.7 onwards (closes: #533669).
   * Bug #510559 (curl sends whitespace unencoded in the url) can't
     be reproduced in the 7.20.0 release (closes: #510559).

 -- Ramakrishnan Muthukrishnan <email address hidden> Thu, 18 Mar 2010 08:55:19 +0530
curl (7.20.0-1) unstable; urgency=low

   * Package is orphaned.
   * New upstream release.
   * Switch to dpkg-source 3.0 (quilt) format (closes: #538547).
   * Fixed build error with binutils-gold (closes: #554296).

 -- Domenico Andreoli <email address hidden> Tue, 09 Feb 2010 13:06:39 +0100

Bhavani Shankar (bhavi) on 2010-06-19
Changed in curl (Ubuntu):
status: New → In Progress
assignee: nobody → Bhavani Shankar (bhavi)
Bhavani Shankar (bhavi) wrote :
Changed in curl (Ubuntu):
status: In Progress → Confirmed
assignee: Bhavani Shankar (bhavi) → nobody
Changed in curl (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curl - 7.21.0-1ubuntu1

---------------
curl (7.21.0-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes: LP: #596334
    - Keep build deps in main:
      - Drop build dependencies: stunnel, libssh2-1-dev
      - Add build-dependency on openssh-server
      - Drop libssh2-1-dev from libcurl4-openssl-dev's Depends.

curl (7.21.0-1) unstable; urgency=low

  * New upstream.

curl (7.20.1-2) unstable; urgency=low

  * debian/rules: Removed the custom LDFLAGS variable. This is not
    required as we are no longer using the libtool patch.
    (closes: #578774)

curl (7.20.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/missing-double-quote: No longer needed as it has been
    fixed by the upstream.
  * debian/patches/no_com_err: Reworked the patches for the new release.
  * debian/patches/versioned: fix for build failure of 'make test'.
    (closes: #576237)
  * debian/rules: removed --enable-ldaps option from the configure as LDAP
    SSL (Novell extensions to openldap) is not available as Debian packages.
  * lib/http.c: chunked-encoding with Content-Length header problem has
    been fixed in the upstream. (closes: #572276)

curl (7.20.0-3) unstable; urgency=low

  * debian/control: Vcs* tags added.
  * docs/libcurl/libcurl.m4: added the missing double quote (closes: #576518).

curl (7.20.0-2) unstable; urgency=low

  * New Maintainer (closes: #574137).
  * Bug #533669 (curl segmentation fault in addbyter()) is fixed
    from release 7.19.7 onwards (closes: #533669).
  * Bug #510559 (curl sends whitespace unencoded in the url) can't
    be reproduced in the 7.20.0 release (closes: #510559).

curl (7.20.0-1) unstable; urgency=low

  * Package is orphaned.
  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format (closes: #538547).
  * Fixed build error with binutils-gold (closes: #554296).
 -- Bhavani Shankar <email address hidden> Sun, 20 Jun 2010 13:56:28 +0530

Changed in curl (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers